export function cleanMeasures({ app, group }: {
    app: any;
    group: any;
}): (dispatch: any, getState: any) => void;
export function setMeasures({ app, group, mGroup }: {
    app: any;
    group: any;
    mGroup: any;
}): (dispatch: any, getState: any) => void;
export function setFilter({ app, group, param, value, autoApply }: {
    app: any;
    group: any;
    param: any;
    value: any;
    autoApply: any;
}): (dispatch: any, getState: any) => void;
export function cleanFilter({ app, group }: {
    app: any;
    group: any;
}): (dispatch: any, getState: any) => void;
export function applyFilter({ app, group }: {
    app: any;
    group: any;
}): (dispatch: any, getState: any) => void;
export function setInitialFilters({ app, group, param, value }: {
    app: any;
    group: any;
    param: any;
    value: any;
}): (dispatch: any, getState: any) => void;
export function getCategories(props: any): (dispatch: any, getState: any) => void;
export function setData({ app, group, csv, store, params }: {
    app: any;
    group: any;
    csv: any;
    store: any;
    params: any;
}): (dispatch: any, getState: any) => void;
export function getData({ app, group, source, store, params }: {
    app: any;
    group: any;
    source: any;
    store: any;
    params: any;
}): (dispatch: any, getState: any) => void;
export function setPageModuleProps({ data }: {
    data: any;
}): (dispatch: any, getState: any) => void;
declare function _default(state: Immutable.MapOf<{
    mode: string;
}> | undefined, action: any): Immutable.MapOf<{
    mode: string;
}>;
export default _default;
export function clearPostsFilter({ group, dispatch, initialFilters }: {
    group: any;
    dispatch: any;
    initialFilters: any;
}): void;
import * as Immutable from 'immutable';
